%global srcname PyGithub
%global libname github
%global pkgname pygithub

Name:           python-%{srcname}
Version:        1.58.2
Release:    1%{?dist}
Summary:        Python library to work with the Github API
License:        LGPL-3.0-or-later
URL:            https://github.com/PyGithub/PyGithub
Source0:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%global _description %{expand:
A Python library implementing the full Github API v3.}

%description %{_description}

%package -n     python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel

Provides:       python3-github = %{version}-%{release}
Provides:       python3-PyGithub = %{version}-%{release}

%description -n python3-%{pkgname} %{_description}

%prep
%autosetup -p 1 -n %{srcname}-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -t

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%tox

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.md

%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.58.2-1
- initial build
